This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-04-01 10:06
Elapsed6m49s
Revision
Builder5c8b39dd-7400-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/110f0b69-ccb1-4ec0-8d10-9de971431036/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/110f0b69-ccb1-4ec0-8d10-9de971431036/targets/test
infra-commit1b9b50e18

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0401 10:06:38.951] process 29 exited with code 0 after 0.0m
I0401 10:06:38.952] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 10:06:38.952] Root: /workspace
I0401 10:06:38.952] cd to /workspace
I0401 10:06:38.953] Configure environment...
I0401 10:06:38.953] Call:  git show -s --format=format:%ct HEAD
W0401 10:06:38.959] fatal: not a git repository (or any of the parent directories): .git
I0401 10:06:38.961] process 42 exited with code 128 after 0.0m
W0401 10:06:38.961] Unable to print commit date for HEAD
I0401 10:06:38.962] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 10:06:39.559] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 10:06:40.292] process 43 exited with code 0 after 0.0m
I0401 10:06:40.292] Call:  gcloud config get-value account
I0401 10:06:41.242] process 56 exited with code 0 after 0.0m
I0401 10:06:41.243] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 10:06:41.243] Start 1245291319828418560 at ...
I0401 10:06:41.245] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_eTiuxf gs://kubernetes-jenkins/logs/metrics-kettle/1245291319828418560/started.json
I0401 10:06:43.892] process 69 exited with code 0 after 0.0m
I0401 10:06:43.893] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0401 10:06:43.930] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0401 10:13:18.219] ERROR: table k8s-gubernator:build.all is 27.1 hours old. Max allowed: 6 hours.
I0401 10:13:18.220] ERROR: table k8s-gubernator:build.week is 27.4 hours old. Max allowed: 6 hours.
I0401 10:13:18.220] ERROR: table k8s-gubernator:build.day is 26.9 hours old. Max allowed: 6 hours.
I0401 10:13:18.220] Collected data:
I0401 10:13:18.220] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0401 10:13:18.220] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0401 10:13:18.221] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0401 10:13:18.221] 
W0401 10:13:18.309] Traceback (most recent call last):
... skipping 22 lines ...
W0401 10:13:18.312]     self.send(msg)
W0401 10:13:18.312]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0401 10:13:18.312]     self.connect()
W0401 10:13:18.313]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0401 10:13:18.313]     conn = self._new_conn()
W0401 10:13:18.313]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0401 10:13:18.313]     self, "Failed to establish a new connection: %s" % e
W0401 10:13:18.313] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f4be58da358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0401 10:13:18.313] 
W0401 10:13:18.313] During handling of the above exception, another exception occurred:
W0401 10:13:18.314] 
W0401 10:13:18.314] Traceback (most recent call last):
W0401 10:13:18.314]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0401 10:13:18.314]     timeout=timeout
W0401 10:13:18.314]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0401 10:13:18.314]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0401 10:13:18.314]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0401 10:13:18.315]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0401 10:13:18.315] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f4be58da358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 10:13:18.315] 
W0401 10:13:18.315] During handling of the above exception, another exception occurred:
W0401 10:13:18.315] 
W0401 10:13:18.315] Traceback (most recent call last):
W0401 10:13:18.315]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0401 10:13:18.315]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0401 10:13:18.317]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0401 10:13:18.317]     resp = self.send(prep, **send_kwargs)
W0401 10:13:18.317]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0401 10:13:18.317]     r = adapter.send(request, **kwargs)
W0401 10:13:18.317]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0401 10:13:18.317]     raise ConnectionError(e, request=request)
W0401 10:13:18.318] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f4be58da358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0401 10:13:18.318] Traceback (most recent call last):
W0401 10:13:18.318]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0401 10:13:18.318]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0401 10:13:18.318]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0401 10:13:18.318]     check(*cmd)
W0401 10:13:18.318]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0401 10:13:18.318]     subprocess.check_call(cmd)
W0401 10:13:18.319]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0401 10:13:18.319]     raise CalledProcessError(retcode, cmd)
W0401 10:13:18.319] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0401 10:13:18.319] Command failed
I0401 10:13:18.319] process 251 exited with code 1 after 6.6m
E0401 10:13:18.319] FAIL: metrics-kettle
I0401 10:13:18.319] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0401 10:13:18.837] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0401 10:13:19.473] process 255 exited with code 0 after 0.0m
I0401 10:13:19.474] Call:  gcloud config get-value account
I0401 10:13:20.409] process 267 exited with code 0 after 0.0m
I0401 10:13:20.410] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0401 10:13:20.410] Upload result and artifacts...
I0401 10:13:20.410] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245291319828418560
W0401 10:13:20.410] Missing local artifacts : /workspace/_artifacts
W0401 10:13:20.410] metadata path /workspace/_artifacts/metadata.json does not exist
W0401 10:13:20.410] metadata not found or invalid, init with empty metadata
I0401 10:13:20.411] Call:  git rev-parse HEAD
W0401 10:13:20.415] fatal: not a git repository (or any of the parent directories): .git
E0401 10:13:20.416] Command failed
I0401 10:13:20.416] process 280 exited with code 128 after 0.0m
I0401 10:13:20.416] Call:  git rev-parse HEAD
I0401 10:13:20.422] process 281 exited with code 0 after 0.0m
I0401 10:13:20.422] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0401 10:13:21.976] process 282 exited with code 0 after 0.0m
I0401 10:13:21.977] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585732344221143'
... skipping 8 lines ...